diff --git a/src/libs/zbxdbcache/dbconfig.c b/src/libs/zbxdbcache/dbconfig.c
index ffe05ba..1f65542 100644
--- a/src/libs/zbxdbcache/dbconfig.c
+++ b/src/libs/zbxdbcache/dbconfig.c
@@ -7756,275 +7882,55 @@ void	zbx_dc_requeue_unreachable_items(zbx_uint64_t *itemids, size_t itemids_num)
 
 /******************************************************************************
  *                                                                            *
- * Function: DChost_get_agent_availability                                    *
+ * Function: dc_set_agent_status                                              *
  *                                                                            *
- * Purpose: get host availability data for the specified agent                *
+ * Purpose: updates agent status belonging to the specified host              *
  *                                                                            *
- * Parameters: dc_host      - [IN] the host                                   *
- *             agent        - [IN] the agent (see ZBX_FLAGS_AGENT_STATUS_*    *
- *                                 defines                                    *
- *             availability - [OUT] the host availability data                *
+ * Parameters: hostid        - [IN] the owner host identifier                 *
+ *             agent         - [OUT] the agent status to update               *
+ *             available     - [IN] the agent availability                    *
+ *             disable_until - [IN] the time until the checks are disabled    *
+ *             errors_from   - [IN] the time since errors started             *
+ *             error         - [IN] the error message                         *
  *                                                                            *
- * Comments: The configuration cache must be locked already.                  *
+ * Return value: flags of changed values, see ZBX_AGENT_STATUS_ defines       *
  *                                                                            *
  ******************************************************************************/
-static void	DChost_get_agent_availability(const ZBX_DC_HOST *dc_host, unsigned char agent_type,
-		zbx_agent_availability_t *agent)
+static unsigned int	dc_set_agent_status(zbx_uint64_t hostid, zbx_agent_status_t *dst, unsigned char available,
+		int disable_until, int errors_from, const char *error)
 {
+	unsigned int	flags = ZBX_AGENT_STATUS_NONE;
 
-	agent->flags = ZBX_FLAGS_AGENT_STATUS;
-
-	switch (agent_type)
+	if (dst->available != available)
 	{
-		case ZBX_AGENT_ZABBIX:
-			agent->available = dc_host->available;
-			agent->error = zbx_strdup(agent->error, dc_host->error);
-			agent->errors_from = dc_host->errors_from;
-			agent->disable_until = dc_host->disable_until;
-			break;
-		case ZBX_AGENT_SNMP:
-			agent->available = dc_host->snmp_available;
-			agent->error = zbx_strdup(agent->error, dc_host->snmp_error);
-			agent->errors_from = dc_host->snmp_errors_from;
-			agent->disable_until = dc_host->snmp_disable_until;
-			break;
-		case ZBX_AGENT_IPMI:
-			agent->available = dc_host->ipmi_available;
-			agent->error = zbx_strdup(agent->error, dc_host->ipmi_error);
-			agent->errors_from = dc_host->ipmi_errors_from;
-			agent->disable_until = dc_host->ipmi_disable_until;
-			break;
-		case ZBX_AGENT_JMX:
-			agent->available = dc_host->jmx_available;
-			agent->error = zbx_strdup(agent->error, dc_host->jmx_error);
-			agent->errors_from = dc_host->jmx_errors_from;
-			agent->disable_until = dc_host->jmx_disable_until;
-			break;
-	}
-}
-
-static void	DCagent_set_availability(zbx_agent_availability_t *av,  unsigned char *available, const char **error,
-		int *errors_from, int *disable_until)
-{
-#define AGENT_AVAILABILITY_ASSIGN(flags, mask, dst, src)	\
-	if (0 != (flags & mask))				\
-	{							\
-		if (dst != src)					\
-			dst = src;				\
-		else						\
-			flags &= (~(mask));			\
+		dst->available = available;
+		flags |= ZBX_AGENT_STATUS_AVAILABLE;
 	}
 
-#define AGENT_AVAILABILITY_ASSIGN_STR(flags, mask, dst, src)	\
-	if (0 != (flags & mask))				\
-	{							\
-		if (0 != strcmp(dst, src))			\
-			DCstrpool_replace(1, &dst, src);	\
-		else						\
-			flags &= (~(mask));			\
+	if (dst->errors_from != errors_from)
+	{
+		dst->errors_from = errors_from;
+		flags |= ZBX_AGENT_STATUS_ERRORS_FROM;
 	}
 
-	AGENT_AVAILABILITY_ASSIGN(av->flags, ZBX_FLAGS_AGENT_STATUS_AVAILABLE, *available, av->available);
-	AGENT_AVAILABILITY_ASSIGN_STR(av->flags, ZBX_FLAGS_AGENT_STATUS_ERROR, *error, av->error);
-	AGENT_AVAILABILITY_ASSIGN(av->flags, ZBX_FLAGS_AGENT_STATUS_ERRORS_FROM, *errors_from, av->errors_from);
-	AGENT_AVAILABILITY_ASSIGN(av->flags, ZBX_FLAGS_AGENT_STATUS_DISABLE_UNTIL, *disable_until, av->disable_until);
-
-#undef AGENT_AVAILABILITY_ASSIGN_STR
-#undef AGENT_AVAILABILITY_ASSIGN
-}
-
-/******************************************************************************
- *                                                                            *
- * Function: DChost_set_agent_availability                                    *
- *                                                                            *
- * Purpose: set host availability data in configuration cache                 *
- *                                                                            *
- * Parameters: dc_host      - [OUT] the host                                  *
- *             availability - [IN/OUT] the host availability data             *
- *                                                                            *
- * Return value: SUCCEED - at least one availability field was updated        *
- *               FAIL    - no availability fields were updated                *
- *                                                                            *
- * Comments: The configuration cache must be locked already.                  *
- *                                                                            *
- *           This function clears availability flags of non updated fields    *
- *           updated leaving only flags identifying changed fields.           *
- *                                                                            *
- ******************************************************************************/
-static int	DChost_set_agent_availability(ZBX_DC_HOST *dc_host, int now, unsigned char agent_type,
-		zbx_agent_availability_t *agent)
-{
-	switch (agent_type)
+	if (dst->disable_until != disable_until)
 	{
-		case ZBX_AGENT_ZABBIX:
-			DCagent_set_availability(agent, &dc_host->available,
-					&dc_host->error, &dc_host->errors_from, &dc_host->disable_until);
-			break;
-		case ZBX_AGENT_SNMP:
-			DCagent_set_availability(agent, &dc_host->snmp_available,
-					&dc_host->snmp_error, &dc_host->snmp_errors_from, &dc_host->snmp_disable_until);
-			break;
-		case ZBX_AGENT_IPMI:
-			DCagent_set_availability(agent, &dc_host->ipmi_available,
-					&dc_host->ipmi_error, &dc_host->ipmi_errors_from, &dc_host->ipmi_disable_until);
-			break;
-		case ZBX_AGENT_JMX:
-			DCagent_set_availability(agent, &dc_host->jmx_available,
-					&dc_host->jmx_error, &dc_host->jmx_errors_from, &dc_host->jmx_disable_until);
-			break;
+		dst->disable_until = disable_until;
+		flags |= ZBX_AGENT_STATUS_DISABLE_UNTIL;
 	}
 
-	if (ZBX_FLAGS_AGENT_STATUS_NONE == agent->flags)
-		return FAIL;
-
-	if (0 != (agent->flags & (ZBX_FLAGS_AGENT_STATUS_AVAILABLE | ZBX_FLAGS_AGENT_STATUS_ERROR)))
-		dc_host->availability_ts = now;
-
-	return SUCCEED;
-}
-
-/******************************************************************************
- *                                                                            *
- * Function: DChost_set_availability                                          *
- *                                                                            *
- * Purpose: set host availability data in configuration cache                 *
- *                                                                            *
- * Parameters: dc_host      - [OUT] the host                                  *
- *             availability - [IN/OUT] the host availability data             *
- *                                                                            *
- * Return value: SUCCEED - at least one availability field was updated        *
- *               FAIL    - no availability fields were updated                *
- *                                                                            *
- * Comments: The configuration cache must be locked already.                  *
- *                                                                            *
- *           This function clears availability flags of non updated fields    *
- *           updated leaving only flags identifying changed fields.           *
- *                                                                            *
- ******************************************************************************/
-static int	DChost_set_availability(ZBX_DC_HOST *dc_host, int now, zbx_host_availability_t *ha)
-{
-	int		i;
-	unsigned char	flags = ZBX_FLAGS_AGENT_STATUS_NONE;
-
-	DCagent_set_availability(&ha->agents[ZBX_AGENT_ZABBIX], &dc_host->available, &dc_host->error,
-			&dc_host->errors_from, &dc_host->disable_until);
-	DCagent_set_availability(&ha->agents[ZBX_AGENT_SNMP], &dc_host->snmp_available, &dc_host->snmp_error,
-			&dc_host->snmp_errors_from, &dc_host->snmp_disable_until);
-	DCagent_set_availability(&ha->agents[ZBX_AGENT_IPMI], &dc_host->ipmi_available, &dc_host->ipmi_error,
-			&dc_host->ipmi_errors_from, &dc_host->ipmi_disable_until);
-	DCagent_set_availability(&ha->agents[ZBX_AGENT_JMX], &dc_host->jmx_available, &dc_host->jmx_error,
-			&dc_host->jmx_errors_from, &dc_host->jmx_disable_until);
-
-	for (i = 0; i < ZBX_AGENT_MAX; i++)
-		flags |= ha->agents[i].flags;
-
-	if (ZBX_FLAGS_AGENT_STATUS_NONE == flags)
-		return FAIL;
-
-	if (0 != (flags & (ZBX_FLAGS_AGENT_STATUS_AVAILABLE | ZBX_FLAGS_AGENT_STATUS_ERROR)))
-		dc_host->availability_ts = now;
-
-	return SUCCEED;
-}
-
-/******************************************************************************
- *                                                                            *
- * Function: zbx_host_availability_init                                       *
- *                                                                            *
- * Purpose: initializes host availability data                                *
- *                                                                            *
- * Parameters: availability - [IN/OUT] host availability data                 *
- *                                                                            *
- ******************************************************************************/
-void	zbx_host_availability_init(zbx_host_availability_t *availability, zbx_uint64_t hostid)
-{
-	memset(availability, 0, sizeof(zbx_host_availability_t));
-	availability->hostid = hostid;
-}
-
-/******************************************************************************
- *                                                                            *
- * Function: zbx_host_availability_clean                                      *
- *                                                                            *
- * Purpose: releases resources allocated to store host availability data      *
- *                                                                            *
- * Parameters: availability - [IN] host availability data                     *
- *                                                                            *
- ******************************************************************************/
-void	zbx_host_availability_clean(zbx_host_availability_t *ha)
-{
-	int	i;
-
-	for (i = 0; i < ZBX_AGENT_MAX; i++)
-		zbx_free(ha->agents[i].error);
-}
-
-/******************************************************************************
- *                                                                            *
- * Function: zbx_host_availability_free                                       *
- *                                                                            *
- * Purpose: frees host availability data                                      *
- *                                                                            *
- * Parameters: availability - [IN] host availability data                     *
- *                                                                            *
- ******************************************************************************/
-void	zbx_host_availability_free(zbx_host_availability_t *availability)
-{
-	zbx_host_availability_clean(availability);
-	zbx_free(availability);
-}
-
-/******************************************************************************
- *                                                                            *
- * Function: zbx_agent_availability_init                                      *
- *                                                                            *
- * Purpose: initializes agent availability with the specified data            *
- *                                                                            *
- * Parameters: availability  - [IN/OUT] agent availability data               *
- *             hostid        - [IN] the host identifier                       *
- *             flags         - [IN] the availability flags indicating which   *
- *                                  availability fields to set                *
- *             available     - [IN] the availability data                     *
- *             error         - [IN]                                           *
- *             errors_from   - [IN]                                           *
- *             disable_until - [IN]                                           *
- *                                                                            *
- ******************************************************************************/
-static void	zbx_agent_availability_init(zbx_agent_availability_t *agent, unsigned char available, const char *error,
-		int errors_from, int disable_until)
-{
-	agent->flags = ZBX_FLAGS_AGENT_STATUS;
-	agent->available = available;
-	agent->error = zbx_strdup(agent->error, error);
-	agent->errors_from = errors_from;
-	agent->disable_until = disable_until;
-}
-
-/******************************************************************************
- *                                                                            *
- * Function: zbx_host_availability_is_set                                     *
- *                                                                            *
- * Purpose: checks host availability if any agent availability field is set   *
- *                                                                            *
- * Parameters: availability - [IN] host availability data                     *
- *                                                                            *
- * Return value: SUCCEED - an agent availability field is set                 *
- *               FAIL - no agent availability fields are set                  *
- *                                                                            *
- ******************************************************************************/
-int	zbx_host_availability_is_set(const zbx_host_availability_t *ha)
-{
-	int	i;
-
-	for (i = 0; i < ZBX_AGENT_MAX; i++)
+	if (0 != strcmp(dst->error, error))
 	{
-		if (ZBX_FLAGS_AGENT_STATUS_NONE != ha->agents[i].flags)
-			return SUCCEED;
+		zbx_strpool_release(dst->error);
+		dst->error = (char *)zbx_strpool_intern(error);
+		flags |= ZBX_AGENT_STATUS_ERROR;
 	}
 
-	return FAIL;
-}
+	if (ZBX_AGENT_STATUS_NONE != flags)
+		zbx_hashset_insert(&config->hosts_availability, &hostid, sizeof(hostid));
 
+	return flags;
+}
 /**************************************************************************************
  *                                                                                    *
  * Host availability update example                                                   *
@@ -8066,39 +7972,31 @@ int	zbx_host_availability_is_set(const zbx_host_availability_t *ha)
 
 /******************************************************************************
  *                                                                            *
- * Function: DChost_activate                                                  *
+ * Function: zbx_dc_item_activate                                             *
  *                                                                            *
- * Purpose: set host as available based on the agent availability data        *
+ * Purpose: updates item's agent availability to available                    *
  *                                                                            *
- * Parameters: hostid     - [IN] the host identifier                          *
- *             agent_type - [IN] the agent type (see ZBX_AGENT_* defines)     *
- *             ts         - [IN] the last timestamp                           *
- *             in         - [IN/OUT] IN: the caller's agent availability data *
- *                                  OUT: the agent availability data in cache *
- *                                       before changes                       *
- *             out        - [OUT] the agent availability data after changes   *
+ * Parameters: item - [IN] the item                                           *
  *                                                                            *
- * Return value: SUCCEED - the host was activated successfully                *
- *               FAIL    - the host was already activated or activation       *
- *                         failed                                             *
+ * Return value: flags of changed values, see ZBX_AGENT_STATUS_ defines       *
  *                                                                            *
  * Comments: The host availability fields are updated according to the above  *
  *           schema.                                                          *
  *                                                                            *
  ******************************************************************************/
-int	DChost_activate(zbx_uint64_t hostid, unsigned char agent_type, const zbx_timespec_t *ts,
-		zbx_agent_availability_t *in, zbx_agent_availability_t *out)
+unsigned int	zbx_dc_item_activate(const DC_ITEM *item)
 {
-	int		ret = FAIL;
+	unsigned int	flags = ZBX_AGENT_STATUS_NONE;
 	ZBX_DC_HOST	*dc_host;
+	ZBX_DC_ITEM	*dc_item;
 
 	/* don't try activating host if there were no errors detected */
-	if (0 == in->errors_from && HOST_AVAILABLE_TRUE == in->available)
+	if (0 == item->agent.errors_from && HOST_AVAILABLE_TRUE == item->agent.available)
 		goto out;
 
 	LOCK_CACHE;
 
-	if (NULL == (dc_host = (ZBX_DC_HOST *)zbx_hashset_search(&config->hosts, &hostid)))
+	if (NULL == (dc_host = (ZBX_DC_HOST *)zbx_hashset_search(&config->hosts, &item->host.hostid)))
 		goto unlock;
 
 	/* Don't try activating host if:                  */
@@ -8110,57 +8008,53 @@ int	DChost_activate(zbx_uint64_t hostid, unsigned char agent_type, const zbx_tim
 		goto unlock;
 	}
 
-	DChost_get_agent_availability(dc_host, agent_type, in);
-	zbx_agent_availability_init(out, HOST_AVAILABLE_TRUE, "", 0, 0);
-	DChost_set_agent_availability(dc_host, ts->sec, agent_type, out);
+	if (NULL == (dc_item = (ZBX_DC_ITEM *)zbx_hashset_search(&config->items, &item->itemid)) ||
+			NULL == dc_item->ifstatus)
+	{
+		goto unlock;
+	}
 
-	if (ZBX_FLAGS_AGENT_STATUS_NONE != out->flags)
-		ret = SUCCEED;
+	flags = dc_set_agent_status(item->host.hostid, &dc_item->ifstatus->agent, HOST_AVAILABLE_TRUE, 0, 0, "");
 unlock:
 	UNLOCK_CACHE;
 out:
-	return ret;
+	return flags;
 }
 
 /******************************************************************************
  *                                                                            *
- * Function: DChost_deactivate                                                *
+ * Function: zbx_dc_item_deactivate                                           *
  *                                                                            *
- * Purpose: attempt to set host as unavailable based on agent availability    *
+ * Purpose: updates item's agent availability timeouts and sets agent as      *
+ *          unavailable if enough time has passed                             *
  *                                                                            *
- * Parameters: hostid     - [IN] the host identifier                          *
- *             agent_type - [IN] the agent type (see ZBX_AGENT_* defines)     *
- *             ts         - [IN] the last timestamp                           *
- *             in         - [IN/OUT] IN: the caller's host availability data  *
- *                                  OUT: the host availability data in cache  *
- *                                       before changes                       *
- *             out        - [OUT] the host availability data after changes    *
- *             error      - [IN] the error message                            *
- *                                                                            *
- * Return value: SUCCEED - the host was deactivated successfully              *
- *               FAIL    - the host was already deactivated or deactivation   *
- *                         failed                                             *
+ * Parameters: item      - [IN] the item                                      *
+ *             ts        - [IN] the error timestamp                           *
+ *             error_msg - [IN] the error message                             *
+ *                                                                            *
+ * Return value: flags of changed values, see ZBX_AGENT_STATUS_ defines       *
  *                                                                            *
  * Comments: The host availability fields are updated according to the above  *
  *           schema.                                                          *
  *                                                                            *
  ******************************************************************************/
-int	DChost_deactivate(zbx_uint64_t hostid, unsigned char agent_type, const zbx_timespec_t *ts,
-		zbx_agent_availability_t *in, zbx_agent_availability_t *out, const char *error_msg)
+unsigned int	zbx_dc_item_deactivate(const DC_ITEM *item, const zbx_timespec_t *ts, const char *error_msg)
 {
-	int		ret = FAIL, errors_from,disable_until;
+	unsigned int	flags = ZBX_AGENT_STATUS_NONE;
+	int		errors_from, disable_until;
 	const char	*error;
 	unsigned char	available;
 	ZBX_DC_HOST	*dc_host;
+	ZBX_DC_ITEM	*dc_item;
 
 
 	/* don't try deactivating host if the unreachable delay has not passed since the first error */
-	if (CONFIG_UNREACHABLE_DELAY > ts->sec - in->errors_from)
+	if (CONFIG_UNREACHABLE_DELAY > ts->sec - item->agent.errors_from)
 		goto out;
 
 	LOCK_CACHE;
 
-	if (NULL == (dc_host = (ZBX_DC_HOST *)zbx_hashset_search(&config->hosts, &hostid)))
+	if (NULL == (dc_host = (ZBX_DC_HOST *)zbx_hashset_search(&config->hosts, &item->host.hostid)))
 		goto unlock;
 
 	/* Don't try deactivating host if:                */
@@ -8172,12 +8066,16 @@ int	DChost_deactivate(zbx_uint64_t hostid, unsigned char agent_type, const zbx_t
 		goto unlock;
 	}
 
-	DChost_get_agent_availability(dc_host, agent_type, in);
+	if (NULL == (dc_item = (ZBX_DC_ITEM *)zbx_hashset_search(&config->items, &item->itemid)) ||
+			NULL == dc_item->ifstatus)
+	{
+		goto unlock;
+	}
 
-	available = in->available;
-	error = in->error;
+	available = (HOST_AVAILABLE_UNSET == item->agent.available ? HOST_AVAILABLE_UNKNOWN : item->agent.available);
+	error = item->agent.error;
 
-	if (0 == in->errors_from)
+	if (0 == item->agent.errors_from)
 	{
 		/* first error, schedule next unreachable check */
 		errors_from = ts->sec;
@@ -8185,8 +8083,8 @@ int	DChost_deactivate(zbx_uint64_t hostid, unsigned char agent_type, const zbx_t
 	}
 	else
 	{
-		errors_from = in->errors_from;
-		disable_until = in->disable_until;
+		errors_from = item->agent.errors_from;
+		disable_until = item->agent.disable_until;
 
 		/* Check if other pollers haven't already attempted deactivating host. */
 		/* In that case should wait the initial unreachable delay before       */
@@ -8209,63 +8107,12 @@ int	DChost_deactivate(zbx_uint64_t hostid, unsigned char agent_type, const zbx_t
 		}
 	}
 
-	zbx_agent_availability_init(out, available, error, errors_from, disable_until);
-	DChost_set_agent_availability(dc_host, ts->sec, agent_type, out);
-
-	if (ZBX_FLAGS_AGENT_STATUS_NONE != out->flags)
-		ret = SUCCEED;
+	flags = dc_set_agent_status(item->host.hostid, &dc_item->ifstatus->agent, available, disable_until, errors_from,
+			error);
 unlock:
 	UNLOCK_CACHE;
 out:
-	return ret;
-}
-
-/******************************************************************************
- *                                                                            *
- * Function: DCset_hosts_availability                                         *
- *                                                                            *
- * Purpose: update availability of hosts in configuration cache and return    *
- *          the updated field flags                                           *
- *                                                                            *
- * Parameters: availabilities - [IN/OUT] the hosts availability data          *
- *                                                                            *
- * Return value: SUCCEED - at least one host availability data was updated    *
- *               FAIL    - no hosts were updated                              *
- *                                                                            *
- ******************************************************************************/
-int	DCset_hosts_availability(zbx_vector_ptr_t *availabilities)
-{
-	int			i;
-	ZBX_DC_HOST		*dc_host;
-	zbx_host_availability_t	*ha;
-	int			ret = FAIL, now;
-
-	now = time(NULL);
-
-	LOCK_CACHE;
-
-	for (i = 0; i < availabilities->values_num; i++)
-	{
-		ha = (zbx_host_availability_t *)availabilities->values[i];
-
-		if (NULL == (dc_host = (ZBX_DC_HOST *)zbx_hashset_search(&config->hosts, &ha->hostid)))
-		{
-			int	j;
-
-			/* reset availability flags so this host is ignored when saving availability diff to DB */
-			for (j = 0; j < ZBX_AGENT_MAX; j++)
-				ha->agents[j].flags = ZBX_FLAGS_AGENT_STATUS_NONE;
-
-			continue;
-		}
-
-		if (SUCCEED == DChost_set_availability(dc_host, now, ha))
-			ret = SUCCEED;
-	}
-
-	UNLOCK_CACHE;
-
-	return ret;
+	return flags;
 }
 
 /******************************************************************************
@@ -10046,29 +9893,21 @@ void	zbx_config_clean(zbx_config_t *cfg)
 
 /******************************************************************************
  *                                                                            *
- * Function: DCreset_hosts_availability                                       *
- *                                                                            *
- * Purpose: resets host availability for disabled hosts and hosts without     *
- *          enabled items for the corresponding interface                     *
- *                                                                            *
- * Parameters: hosts - [OUT] changed host availability data                   *
- *                                                                            *
- * Return value: SUCCEED - host availability was reset for at least one host  *
- *               FAIL    - no hosts required availability reset               *
+ * Function: zbx_dc_reset_proxy_hosts_availability                            *
  *                                                                            *
- * Comments: This function resets host availability in configuration cache.   *
- *           The caller must perform corresponding database updates based     *
- *           on returned host availability reset data. On server the function *
- *           skips hosts handled by proxies.                                  *
+ * Purpose: resets host availability for hosts monitored by proxies with last *
+ *          seen time exceeding maximum heartbeat frequency                   *
  *                                                                            *
  ******************************************************************************/
-int	DCreset_hosts_availability(zbx_vector_ptr_t *hosts)
+void	zbx_dc_reset_proxy_hosts_availability()
 {
 	const char		*__function_name = "DCreset_hosts_availability";
 	ZBX_DC_HOST		*host;
+	ZBX_DC_PROXY		*proxy;
 	zbx_hashset_iter_t	iter;
-	zbx_host_availability_t	*ha = NULL;
-	int			now;
+	zbx_dc_host_ifstatus_t	*host_ifstatus;
+	zbx_dc_ifstatus_t	*ifstatus;
+	int			now, i;
 
 	zabbix_log(LOG_LEVEL_DEBUG, "In %s()", __function_name);
 
